Bug 457645 - sane-backends 1.0.19 place 19-libsane.fdi file in the wrong place
sane-backends 1.0.19 place 19-libsane.fdi file in the wrong place
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-02 05:14 EDT by Chema
Modified: 2009-07-22 17:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.20-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chema 2008-08-02 05:14:33 EDT
Description of problem:

19-libsane.fdi file is in the wrong place, according to HAL specification,
http://people.freedesktop.org/~david/hal-spec/hal-spec.html#fdi-search-paths,
sane-backends-1.0.19-10.fc9 places it on /usr/share/hal/fdi/policy/10osvendor
and should put it on /usr/share/hal/fdi/policy/20thirdparty. Since the
10osvendor directory should be used for fdi's "included with the hal package".

Version-Release number of selected component (if applicable):

sane-backends-1.0.19-10.fc9 (Not checked other versions, but seems applicable)

How reproducible:

Install sane backends package and check for the location of 19-libsane.fdi

Steps to Reproduce:
1. yum install sane*
2. ls /usr/share/hal/fdi/policy/10osvendor/19-libsane.fdi
3.
  
Actual results:
File found.

Expected results:

File should be found under: /usr/share/hal/fdi/policy/20thirdparty/

Additional info:
Comment 1 Bug Zapper 2009-06-09 22:21:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chema 2009-06-10 19:06:44 EDT
Fedora 11 with sane-backends-1.0.19-15.fc11.i586 keeps on with the same (bad) behaviour.
Comment 3 Chema 2009-06-10 19:13:35 EDT
Sorry, didn't noticed that Nils changed from F9 to Rawhide. Reverting my change back to Rawhide.
Comment 4 Fedora Update System 2009-06-17 05:54:30 EDT
sane-backends-1.0.20-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sane-backends-1.0.20-2.fc11
Comment 5 Fedora Update System 2009-06-19 09:36:34 EDT
sane-backends-1.0.20-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6710
Comment 6 Chema 2009-06-20 04:13:28 EDT
I'm sorry but bug is not fixed properly, Hal scanner ACL change is broken.

If I installed sane-backends-1.0.20-3.fc11 regular user can not use the scanner since the ACL rules doesn't update properly.

getfacl in sane-backends-1.0.19-15:

[root@raistlin ~]# getfacl /dev/bus/usb/001/006
getfacl: Removing leading '/' from absolute path names
# file: dev/bus/usb/001/006
# owner: root
# group: root
user::rw-
user:chema:rw-
group::rw-
mask::rw-
other::r--

but updating to  sane-backends-1.0.20-3.fc11:

[root@raistlin kk]# getfacl /dev/bus/usb/001/011
getfacl: Removing leading '/' from absolute path names
# file: dev/bus/usb/001/011
# owner: root
# group: root
user::rw-
group::rw-
other::r--

Copying back 19-libsane.fdi to 10osvendor so it is adquired *before* 20-acl-management.fdi, replug the scanner and then run getfacl again:

[root@raistlin sane.d]# getfacl /dev/bus/usb/001/012
getfacl: Removing leading '/' from absolute path names
# file: dev/bus/usb/001/012
# owner: root
# group: root
user::rw-
user:chema:rw-
group::rw-
mask::rw-
other::r--
Comment 7 Nils Philippsen 2009-06-23 04:36:19 EDT
Please check out sane-backends-1.0.20-4.fc11 which should hit updates-testing shortly. In this version, I split HAL information and policy so all scanner devices should be marked as such before the ACL rules are executed.
Comment 8 Chema 2009-06-24 11:36:24 EDT
Now it works perfectly.

Thanks Nils.
Comment 9 Fedora Update System 2009-06-26 22:46:31 EDT
sane-backends-1.0.20-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6710
Comment 10 Fedora Update System 2009-07-22 17:46:45 EDT
sane-backends-1.0.20-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.